Organizational Units
List organizational unit client projects
Lists projects for a client linked to an organizational unit.
GET
/
v1
/
public
/
organizational-units
/
{id}
/
clients
/
{clientId}
/
projects
List organizational unit client projects
curl --request GET \
--url https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "f1f6455f-e8f4-4dbb-a7ef-a14943ff8e92",
"clientId": "8f2f1f3a-4f41-4a38-a2cb-3670e2f34635",
"clientName": "Deluxe Motion Partner",
"name": "Billing Modernization",
"description": "Migrate billing workflow to new platform",
"startDate": "2026-01-15T00:00:00Z",
"endDate": "2026-06-30T00:00:00Z",
"currencyUnitId": "eur",
"internalContactId": "318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca",
"internalContactName": "Calvin Tyler Osborne"
}
],
"meta": {
"requestId": "3af77fca-4bcd-4862-aecf-0233fec3aef1",
"timestamp": "2026-04-22T11:13:00Z"
}
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Query Parameters
Required range:
1 <= x <= 100⌘I
List organizational unit client projects
curl --request GET \
--url https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/organizational-units/{id}/clients/{clientId}/projects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "f1f6455f-e8f4-4dbb-a7ef-a14943ff8e92",
"clientId": "8f2f1f3a-4f41-4a38-a2cb-3670e2f34635",
"clientName": "Deluxe Motion Partner",
"name": "Billing Modernization",
"description": "Migrate billing workflow to new platform",
"startDate": "2026-01-15T00:00:00Z",
"endDate": "2026-06-30T00:00:00Z",
"currencyUnitId": "eur",
"internalContactId": "318a0ed7-7d0f-45cc-b09e-a3c22cccb6ca",
"internalContactName": "Calvin Tyler Osborne"
}
],
"meta": {
"requestId": "3af77fca-4bcd-4862-aecf-0233fec3aef1",
"timestamp": "2026-04-22T11:13:00Z"
}
}
